## dde-launcher 5.4.11

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)

set(VERSION 4.0)

project(dde-launcher)

#set(CMAKE_VERBOSE_MAKEFILE ON)
set(CMAKE_CXX_STANDARD 14)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_CXX_FLAGS "-g -Wall")

if (DEFINED ENABLE_MIEEE)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mieee")
endif()

if (DEFINED DISABLE_DRAG_ANIMATION)
    add_definitions(-DDISABLE_DRAG_ANIMATION)
endif ()

if (DEFINED WITHOUT_UNINSTALL_APP)
    add_definitions(-DWITHOUT_UNINSTALL_APP)
endif ()

set(BIN_NAME dde-launcher)

add_subdirectory("tests")

# Sources files
file(GLOB_RECURSE SRCS "src/*.h" "src/*.cpp")

# Install settings
if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    set(CMAKE_INSTALL_PREFIX /usr)
endif ()

if (NOT (${CMAKE_BUILD_TYPE} MATCHES "Debug"))
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Ofast")

    # generate qm
    execute_process(COMMAND bash "translate_generation.sh"
                    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
endif ()

# dev
file(GLOB INTERFACES "src/dbusinterface/*.h")

# Find the library
find_package(PkgConfig REQUIRED)
find_package(Qt5Widgets REQUIRED)
find_package(Qt5Concurrent REQUIRED)
find_package(Qt5X11Extras REQUIRED)
find_package(Qt5DBus REQUIRED)
find_package(DtkWidget REQUIRED)
find_package(Qt5Svg REQUIRED)

pkg_check_modules(XCB_EWMH REQUIRED xcb-ewmh x11)
pkg_check_modules(DFrameworkDBus REQUIRED dframeworkdbus)
pkg_check_modules(QGSettings REQUIRED gsettings-qt)

include_directories(
    src
    src/boxframe
    src/dbusinterface
    src/dbusinterface/dbusvariant
    src/dbusservices
    src/delegate
    src/global_util
    src/model
    src/skin
    src/view
    src/widgets
    src/worker
)

aux_source_directory(src SRC)
aux_source_directory(src/boxframe BOXFRAME)
aux_source_directory(src/dbusinterface DBUSINTERFACE)
aux_source_directory(src/dbusinterface/dbusvariant DBUSVARIANT)
aux_source_directory(src/dbusservices DBUSSERVICES)
aux_source_directory(src/delegate DELEGATE)
aux_source_directory(src/global_util GLOBAL_UTIL)
aux_source_directory(src/model MODEL)
aux_source_directory(src/skin SKIN)
aux_source_directory(src/view VIEW)
aux_source_directory(src/widgets WIDGETS)
aux_source_directory(src/worker WORKER)

file(GLOB SRC_PATH
    ${SRC}
    ${BOXFRAME}
    ${DBUSINTERFACE}
    ${DBUSVARIANT}
    ${DBUSSERVICES}
    ${DELEGATE}
    ${GLOBAL_UTIL}
    ${MODEL}
    ${SKIN}
    ${VIEW}
    ${WIDGETS}
    ${WORKER}
)

add_executable(${BIN_NAME}  ${SRCS} ${SRC_PATH} ${INTERFACES} src/skin.qrc src/widgets/images.qrc)
target_include_directories(${BIN_NAME} PUBLIC
    ${DtkWidget_INCLUDE_DIRS}
    ${XCB_EWMH_INCLUDE_DIRS}
    ${DFrameworkDBus_INCLUDE_DIRS}
    ${Qt5Gui_PRIVATE_INCLUDE_DIRS}
    ${QGSettings_INCLUDE_DIRS}
    ${PROJECT_BINARY_DIR}
)

target_link_libraries(${BIN_NAME} PRIVATE
    ${XCB_EWMH_LIBRARIES}
    ${DFrameworkDBus_LIBRARIES}
    ${DtkWidget_LIBRARIES}
    ${Qt5Widgets_LIBRARIES}
    ${Qt5Concurrent_LIBRARIES}
    ${Qt5X11Extras_LIBRARIES}
    ${Qt5DBus_LIBRARIES}
    ${QGSettings_LIBRARIES}
    ${Qt5Svg_LIBRARIES}
)

## qm files
file(GLOB QM_FILES "translations/*.qm")
install(FILES ${QM_FILES} DESTINATION share/dde-launcher/translations)

## dev files
install (FILES ${INTERFACES} DESTINATION include/dde-launcher)

## desktop file
install(FILES dde-launcher.desktop DESTINATION share/applications/)
install(FILES dde-launcher-wapper DESTINATION bin PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)

## services files
install(FILES src/dbusservices/com.deepin.dde.Launcher.service DESTINATION /usr/share/dbus-1/services)

#schemas
install(FILES gschema/com.deepin.dde.launcher.gschema.xml DESTINATION share/glib-2.0/schemas)
install(CODE "execute_process(COMMAND glib-compile-schemas ${CMAKE_INSTALL_PREFIX}/share/glib-2.0/schemas)")

## icon
install(FILES data/deepin-launcher.svg DESTINATION /usr/share/icons/hicolor/scalable/apps)

# bin
install(TARGETS ${BIN_NAME} DESTINATION bin)

=== tests/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)

set(BIN_NAME dde_launcher_unit_test)

# 自动生成moc文件
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

# 用于测试覆盖率的编译条件
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fprofile-arcs -ftest-coverage -lgcov")

# 源文件
file(GLOB_RECURSE SRCS "*.h" "*.cpp" "/widget_unit_test/*.cpp" "/view_unit_test/*.cpp" "/worker_unit_test/*.cpp" "/global_util_unit_test/*cpp" "/boxfram_unit_test/*.cpp" "/dbusinterface_unit_test/*.cpp" test_res.qrc ${CMAKE_CURRENT_SOURCE_DIR}/../src/skin.qrc)
# 查找依赖库
find_package(PkgConfig REQUIRED)
find_package(Qt5Widgets REQUIRED)
find_package(Qt5Concurrent REQUIRED)
find_package(Qt5X11Extras REQUIRED)
find_package(Qt5DBus REQUIRED)
find_package(DtkWidget REQUIRED)
find_package(Qt5Svg REQUIRED)
#QTest 依赖库
find_package(Qt5 COMPONENTS Test REQUIRED)
find_package(GTest REQUIRED)

pkg_check_modules(QGSettings REQUIRED gsettings-qt)
pkg_check_modules(DFrameworkDBus REQUIRED dframeworkdbus)
pkg_check_modules(XCB_EWMH REQUIRED xcb-ewmh x11)

include_directories(
    ../src
    ../src/boxframe
    ../src/dbusinterface
    ../src/dbusinterface/dbusvariant
    ../src/dbusservices
    ../src/delegate
    ../src/global_util
    ../src/model
    ../src/skin
    ../src/view
    ../src/widgets
    ../src/worker
)

aux_source_directory(../src SRC)
aux_source_directory(../src/boxframe BOXFRAME)
aux_source_directory(../src/dbusinterface DBUSINTERFACE)
aux_source_directory(../src/dbusinterface/dbusvariant DBUSVARIANT)
aux_source_directory(../src/dbusservices DBUSSERVICES)
aux_source_directory(../src/delegate DELEGATE)
aux_source_directory(../src/global_util GLOBAL_UTIL)
aux_source_directory(../src/model MODEL)
aux_source_directory(../src/skin SKIN)
aux_source_directory(../src/view VIEW)
aux_source_directory(../src/widgets WIDGETS)
aux_source_directory(../src/worker WORKER)

file(GLOB SRC_PATH
    ${SRC}
    ${BOXFRAME}
    ${DBUSINTERFACE}
    ${DBUSVARIANT}
    ${DBUSSERVICES}
    ${DELEGATE}
    ${GLOBAL_UTIL}
    ${MODEL}
    ${SKIN}
    ${VIEW}
    ${WIDGETS}
    ${WORKER}
)
list(REMOVE_ITEM SRC_PATH ${CMAKE_CURRENT_SOURCE_DIR}/../src/main.cpp)

# 添加执行文件信息
#${LAUNCHER}
add_executable(${BIN_NAME} ${SRCS} ${SRC_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/../src/widgets/images.qrc)

target_include_directories(${BIN_NAME} PUBLIC
    ${DtkWidget_INCLUDE_DIRS}
    ${XCB_EWMH_INCLUDE_DIRS}
    ${DFrameworkDBus_INCLUDE_DIRS}
    ${Qt5Gui_PRIVATE_INCLUDE_DIRS}
    ${QGSettings_INCLUDE_DIRS}
)

target_link_libraries(${BIN_NAME} PRIVATE
    ${Qt5Test_LIBRARIES}
    ${XCB_EWMH_LIBRARIES}
    ${DFrameworkDBus_LIBRARIES}
    ${DtkWidget_LIBRARIES}
    ${Qt5Widgets_LIBRARIES}
    ${Qt5Concurrent_LIBRARIES}
    ${Qt5X11Extras_LIBRARIES}
    ${Qt5DBus_LIBRARIES}
    ${QGSettings_LIBRARIES}
    ${Qt5Svg_LIBRARIES}
    ${GTEST_LIBRARIES}
    -lpthread
    -lm
)

add_custom_target(check)

add_custom_command(TARGET check
    COMMAND ./${BIN_NAME}
    )

add_dependencies(check ${BIN_NAME})

=== debian/changelog ===
dde-launcher (5.4.11-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Wed, 14 Apr 2021 17:45:32 +0800

dde-launcher (3.0.12-1) unstable; urgency=low

  * Autobuild Tag 3.0.12 

 -- TagBuilder <tagbuilder@deepin.com>  Fri, 12 Aug 2016 18:47:39 +0000

dde-launcher (3.0.11-1) unstable; urgency=low

  * Autobuild Tag 3.0.11 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Fri, 27 May 2016 03:22:01 +0000

dde-launcher (3.0.10-1) unstable; urgency=low

  * Autobuild Tag 3.0.10 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Thu, 26 May 2016 14:32:06 +0000

dde-launcher (3.0.9-1) stable; urgency=low

  * Autobuild Tag 3.0.9 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Mon, 23 May 2016 12:34:10 +0000

dde-launcher (3.0.7-2) stable; urgency=low

  * Rebuild Version 3.0.7 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Thu, 21 Apr 2016 16:18:44 +0000

dde-launcher (3.0.7-1) stable; urgency=low

  * Autobuild Tag 3.0.7 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Mon, 07 Mar 2016 15:49:19 +0000

dde-launcher (3.0.6-2) stable; urgency=low

  * Rebuild Version 3.0.6 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Fri, 04 Mar 2016 17:02:46 +0000

dde-launcher (3.0.6-1) stable; urgency=low

  * Autobuild Tag 3.0.6 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Thu, 25 Feb 2016 10:41:51 +0000

dde-launcher (3.0.5-1) stable; urgency=low

  * Autobuild Tag 3.0.5 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Mon, 22 Feb 2016 16:40:21 +0000

dde-launcher (3.0.3-1) stable; urgency=low

  * Autobuild Tag 3.0.3 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Fri, 22 Jan 2016 20:00:48 +0000

dde-launcher (3.0.2-1) stable; urgency=low

  * Autobuild Tag 3.0.2 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Tue, 12 Jan 2016 18:33:22 +0000

dde-launcher (3.0.1-2) stable; urgency=low

  * Rebuild Version 3.0.1 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Wed, 30 Dec 2015 14:00:02 +0000

dde-launcher (3.0.1-1) stable; urgency=low

  * Autobuild Tag 3.0.1 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Tue, 29 Dec 2015 21:29:50 +0000

dde-launcher (3.0.0-1) stable; urgency=low

  * Autobuild Tag 3.0.0 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Mon, 28 Dec 2015 21:01:52 +0000

dde-launcher (2.90.4-2) stable; urgency=low

  * Rebuild Version 2.90.4 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Sun, 20 Dec 2015 11:08:18 +0000

dde-launcher (2.90.4-1) stable; urgency=low

  * Autobuild Tag 2.90.4 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Sat, 19 Dec 2015 13:08:16 +0000

dde-launcher (2.90.3-1) stable; urgency=low

  * Autobuild Tag 2.90.3 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Thu, 10 Dec 2015 20:43:41 +0000

dde-launcher (2.90.2-1) stable; urgency=low

  * Autobuild Tag 2.90.2 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Wed, 09 Dec 2015 21:56:58 +0000

dde-launcher (2.90.1-1) stable; urgency=low

  * Autobuild Tag 2.90.1 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Fri, 20 Nov 2015 09:46:37 +0000

=== debian/control ===
Source: dde-launcher
Section: x11
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends:
 cmake,
 debhelper-compat (= 11),
 libdframeworkdbus-dev,
 libdtkcore-dev,
 libdtkgui-dev,
 libdtkwidget-dev,
 libgsettings-qt-dev,
 libqt5svg5-dev,
 libqt5x11extras5-dev,
 libxcb-ewmh-dev,
 pkg-config,
 qtbase5-dev,
 qtbase5-private-dev,
 qttools5-dev-tools,
 libgtest-dev
Standards-Version: 3.9.8
Homepage: http://www.deepin.org/

Package: dde-launcher
Architecture: any
Depends:
 deepin-desktop-schemas (>= 5.9.3),
 libdframeworkdbus2 (>= 5.3.0.24),
 dde-daemon (>=5.12.48),
 startdde (>=5.6.0.34),
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 dde-workspace (<< 2.90.5),
Description:deepin desktop-environment - dde-launcher module
 Deepin desktop environment 2015 - dde-launcher module.
 Display all installation programs, and provide access to open, uninstall, boot and start, which is convenient for users to operate quickly

## dde-launcher 5.5.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,6 +10,14 @@
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_AUTORCC ON)
 set(CMAKE_CXX_FLAGS "-g -Wall")
+
+# 增加安全编译参数
+ADD_DEFINITIONS("-fstack-protector-strong -D_FORTITY_SOURCE=1 -z noexecstack -pie -fPIC -z lazy")
+
+if (CMAKE_BUILD_TYPE STREQUAL "Debug")
+    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -fsanitize=address -O2")
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -fsanitize=address -O2")
+endif()
 
 if (DEFINED ENABLE_MIEEE)
     set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mieee")
@@ -54,8 +62,9 @@
 find_package(Qt5DBus REQUIRED)
 find_package(DtkWidget REQUIRED)
 find_package(Qt5Svg REQUIRED)
+find_package(DtkCore REQUIRED)
 
-pkg_check_modules(XCB_EWMH REQUIRED xcb-ewmh x11)
+pkg_check_modules(XCB_EWMH REQUIRED xcb-ewmh)
 pkg_check_modules(DFrameworkDBus REQUIRED dframeworkdbus)
 pkg_check_modules(QGSettings REQUIRED gsettings-qt)
 
@@ -105,6 +114,7 @@
 add_executable(${BIN_NAME}  ${SRCS} ${SRC_PATH} ${INTERFACES} src/skin.qrc src/widgets/images.qrc)
 target_include_directories(${BIN_NAME} PUBLIC
     ${DtkWidget_INCLUDE_DIRS}
+    ${DtkCore_INCLUDE_DIRS}
     ${XCB_EWMH_INCLUDE_DIRS}
     ${DFrameworkDBus_INCLUDE_DIRS}
     ${Qt5Gui_PRIVATE_INCLUDE_DIRS}
@@ -116,6 +126,7 @@
     ${XCB_EWMH_LIBRARIES}
     ${DFrameworkDBus_LIBRARIES}
     ${DtkWidget_LIBRARIES}
+    ${DtkCore_LIBRARIES}
     ${Qt5Widgets_LIBRARIES}
     ${Qt5Concurrent_LIBRARIES}
     ${Qt5X11Extras_LIBRARIES}
@@ -127,9 +138,6 @@
 ## qm files
 file(GLOB QM_FILES "translations/*.qm")
 install(FILES ${QM_FILES} DESTINATION share/dde-launcher/translations)
-
-## dev files
-install (FILES ${INTERFACES} DESTINATION include/dde-launcher)
 
 ## desktop file
 install(FILES dde-launcher.desktop DESTINATION share/applications/)
@@ -147,3 +155,6 @@
 
 # bin
 install(TARGETS ${BIN_NAME} DESTINATION bin)
+
+# config
+dconfig_meta_files(APPID dde-launcher FILES ./configs/com.deepin.dde.dde-launcher.dconfig.json)

=== debian/changelog ===
dde-launcher (5.5.11-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 21 Feb 2022 11:26:49 +0800

## dde-launcher 5.5.19.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,9 @@
 set(CMAKE_CXX_FLAGS "-g -Wall")
 
 # 增加安全编译参数
-ADD_DEFINITIONS("-fstack-protector-strong -D_FORTITY_SOURCE=1 -z noexecstack -pie -fPIC -z lazy")
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fstack-protector-all")
+set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fstack-protector-all")
+set(CMAKE_EXE_LINKER_FLAGS  "-z relro -z now -z noexecstack -pie")
 
 if (CMAKE_BUILD_TYPE STREQUAL "Debug")
     set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -fsanitize=address -O2")
@@ -157,4 +159,4 @@
 install(TARGETS ${BIN_NAME} DESTINATION bin)
 
 # config
-dconfig_meta_files(APPID dde-launcher FILES ./configs/com.deepin.dde.dde-launcher.dconfig.json)
+dconfig_meta_files(APPID org.deepin.dde.launcher FILES ./configs/org.deepin.dde.launcher.json)

=== debian/changelog ===
dde-launcher (5.5.19.1-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 05 May 2022 17:25:04 +0800

## dde-launcher 5.5.23

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -8,6 +8,12 @@
 
 # 用于测试覆盖率的编译条件
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fprofile-arcs -ftest-coverage -lgcov")
+
+if (CMAKE_BUILD_TYPE STREQUAL "Debug")
+    add_definitions(-D SANITIZER_CHECK)
+    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -fsanitize=address -O2")
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -fsanitize=address -O2")
+endif()
 
 # 源文件
 file(GLOB_RECURSE SRCS "*.h" "*.cpp" "/widget_unit_test/*.cpp" "/view_unit_test/*.cpp" "/worker_unit_test/*.cpp" "/global_util_unit_test/*cpp" "/boxfram_unit_test/*.cpp" "/dbusinterface_unit_test/*.cpp" test_res.qrc ${CMAKE_CURRENT_SOURCE_DIR}/../src/skin.qrc)
@@ -22,10 +28,11 @@
 #QTest 依赖库
 find_package(Qt5 COMPONENTS Test REQUIRED)
 find_package(GTest REQUIRED)
+find_package(DtkCore REQUIRED)
 
 pkg_check_modules(QGSettings REQUIRED gsettings-qt)
 pkg_check_modules(DFrameworkDBus REQUIRED dframeworkdbus)
-pkg_check_modules(XCB_EWMH REQUIRED xcb-ewmh x11)
+pkg_check_modules(XCB_EWMH REQUIRED xcb-ewmh)
 
 include_directories(
     ../src
@@ -77,6 +84,7 @@
 
 target_include_directories(${BIN_NAME} PUBLIC
     ${DtkWidget_INCLUDE_DIRS}
+    ${DtkCore_INCLUDE_DIRS}
     ${XCB_EWMH_INCLUDE_DIRS}
     ${DFrameworkDBus_INCLUDE_DIRS}
     ${Qt5Gui_PRIVATE_INCLUDE_DIRS}
@@ -88,6 +96,7 @@
     ${XCB_EWMH_LIBRARIES}
     ${DFrameworkDBus_LIBRARIES}
     ${DtkWidget_LIBRARIES}
+    ${DtkCore_LIBRARIES}
     ${Qt5Widgets_LIBRARIES}
     ${Qt5Concurrent_LIBRARIES}
     ${Qt5X11Extras_LIBRARIES}

=== debian/changelog ===
dde-launcher (5.5.23-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 27 Jun 2022 10:43:08 +0800

## dde-launcher 5.5.29

=== debian/changelog ===
dde-launcher (5.5.29-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Sat, 13 Aug 2022 13:52:52 +0800

dde-launcher (3.0.12) unstable; urgency=low

  * Autobuild Tag 3.0.12 

 -- TagBuilder <tagbuilder@deepin.com>  Fri, 12 Aug 2016 18:47:39 +0000

=== debian/control ===
Source: dde-launcher
Section: x11
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends:
 debhelper-compat (= 11),
 pkg-config,
 cmake,
 qtbase5-dev,
 qtbase5-private-dev,
 qttools5-dev-tools,
 libqt5svg5-dev,
 libqt5x11extras5-dev,
 libxcb-ewmh-dev,
 libdframeworkdbus-dev (>=5.4.6),
 libdtkwidget-dev (>=5.4.19),
 libdtkcore-dev (>=5.4.14),
 libdtkgui-dev (>=5.4.13),
 libgsettings-qt-dev,
 libgtest-dev,
 libgmock-dev
Standards-Version: 3.9.8
Homepage: http://www.deepin.org/

Package: dde-launcher
Architecture: any
Depends:
 qtxdg-dev-tools,
 deepin-desktop-schemas (>=5.9.14),
 libdtkwidget5 (>=5.4.19),
 libdtkcore5 (>=5.4.14),
 libdtkgui5 (>=5.4.13),
 libdframeworkdbus2 (>=5.4.6),
 dde-daemon (>=5.13.12),
 startdde (>=5.8.9),
 lastore-daemon (>=5.2.9),
 libxcb-util0,
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 dde-workspace (<< 2.90.5),
Description:deepin desktop-environment - dde-launcher module
 Deepin desktop environment 2015 - dde-launcher module.
 Display all installation programs, and provide access to open, uninstall, boot and start, which is convenient for users to operate quickly

## dde-launcher 5.5.32

=== debian/changelog ===
dde-launcher (5.5.32-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Sat, 27 Aug 2022 10:37:50 +0800

## dde-launcher 5.5.40.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
 # 增加安全编译参数
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fstack-protector-all")
 set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fstack-protector-all")
-set(CMAKE_EXE_LINKER_FLAGS  "-z relro -z now -z noexecstack -pie")
+set(CMAKE_EXE_LINKER_FLAGS  "${CMAKE_EXE_LINKER_FLAGS} -z relro -z now -z noexecstack -pie")
 
 if (CMAKE_BUILD_TYPE STREQUAL "Debug")
     set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -fsanitize=address -O2")
@@ -41,6 +41,7 @@
 file(GLOB_RECURSE SRCS "src/*.h" "src/*.cpp")
 
 # Install settings
+include(GNUInstallDirs)
 if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
     set(CMAKE_INSTALL_PREFIX /usr)
 endif ()
@@ -139,24 +140,24 @@
 
 ## qm files
 file(GLOB QM_FILES "translations/*.qm")
-install(FILES ${QM_FILES} DESTINATION share/dde-launcher/translations)
+install(FILES ${QM_FILES} DESTINATION ${CMAKE_INSTALL_DATADIR}/dde-launcher/translations)
 
 ## desktop file
-install(FILES dde-launcher.desktop DESTINATION share/applications/)
-install(FILES dde-launcher-wapper DESTINATION bin PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
+install(FILES dde-launcher.desktop DESTINATION ${CMAKE_INSTALL_DATADIR}/applications/)
+install(FILES dde-launcher-wapper DESTINATION ${CMAKE_INSTALL_BINDIR} PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
 
 ## services files
-install(FILES src/dbusservices/com.deepin.dde.Launcher.service DESTINATION /usr/share/dbus-1/services)
+install(FILES src/dbusservices/com.deepin.dde.Launcher.service DESTINATION ${CMAKE_INSTALL_DATADIR}/dbus-1/services)
 
 #schemas
-install(FILES gschema/com.deepin.dde.launcher.gschema.xml DESTINATION share/glib-2.0/schemas)
+install(FILES gschema/com.deepin.dde.launcher.gschema.xml DESTINATION ${CMAKE_INSTALL_DATADIR}/glib-2.0/schemas)
 install(CODE "execute_process(COMMAND glib-compile-schemas ${CMAKE_INSTALL_PREFIX}/share/glib-2.0/schemas)")
 
 ## icon
-install(FILES data/deepin-launcher.svg DESTINATION /usr/share/icons/hicolor/scalable/apps)
+install(FILES data/deepin-launcher.svg DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/scalable/apps)
 
 # bin
-install(TARGETS ${BIN_NAME} DESTINATION bin)
+install(TARGETS ${BIN_NAME} DESTINATION ${CMAKE_INSTALL_BINDIR})
 
 # config
 dconfig_meta_files(APPID org.deepin.dde.launcher FILES ./configs/org.deepin.dde.launcher.json)

=== debian/changelog ===
dde-launcher (5.5.40.2-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 11 Apr 2023 14:28:09 +0800

=== debian/control ===
--- 
+++ 
@@ -34,7 +34,7 @@
  dde-daemon (>=5.13.12),
  startdde (>=5.8.9),
  lastore-daemon (>=5.2.9),
- libxcb-util0,
+ libxcb-util0 | libxcb-util1,
  ${misc:Depends},
  ${shlibs:Depends},
 Conflicts:

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export QT_SELECT=5

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --parallel

include /usr/share/dpkg/default.mk
SYSTYPE=Desktop
SYSTYPE=$(shell cat /etc/deepin-version | grep Type= | awk -F'=' '{print $$2}')

ifeq ($(DEB_BUILD_ARCH), sw_64)
override_dh_auto_configure:
	dh_auto_configure -- -DENABLE_MIEEE=YES -DDISABLE_DRAG_ANIMATION=YES
endif

## dde-launcher 6.0.19

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 - 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: CC0-1.0

cmake_minimum_required(VERSION 3.7)

set(VERSION 4.0)

project(dde-launcher)

find_package(DtkTools REQUIRED)
find_package(PkgConfig REQUIRED)

pkg_check_modules(GIO REQUIRED IMPORTED_TARGET gio-2.0 gio-unix-2.0)

set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -Wall")

# 增加安全编译参数
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fstack-protector-all")
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fstack-protector-all")
set(CMAKE_EXE_LINKER_FLAGS  "${CMAKE_EXE_LINKER_FLAGS} -z relro -z now -z noexecstack -pie")

if (CMAKE_BUILD_TYPE STREQUAL "Debug")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -fsanitize=address -O0")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -fsanitize=address -O0")
else()
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Ofast")

    # generate qm
    execute_process(COMMAND bash "translate_generation.sh"
                    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
endif()

if (DEFINED ENABLE_MIEEE)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mieee")
endif()

if (DEFINED DISABLE_DRAG_ANIMATION)
    add_definitions(-DDISABLE_DRAG_ANIMATION)
endif ()

if (DEFINED WITHOUT_UNINSTALL_APP)
    add_definitions(-DWITHOUT_UNINSTALL_APP)
endif ()

set(BIN_NAME dde-launcher)

#add_subdirectory("tests")
add_subdirectory("plugins")

# Install settings
if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    set(CMAKE_INSTALL_PREFIX /usr)
endif ()
include(GNUInstallDirs)

# Find the library
find_package(PkgConfig REQUIRED)
find_package(Qt5 REQUIRED
    COMPONENTS Widgets Svg X11Extras DBus Concurrent
)
find_package(Qt5Gui CONFIG REQUIRED Private)
find_package(Dtk REQUIRED COMPONENTS Core Widget Gui)

pkg_check_modules(XCB_EWMH REQUIRED IMPORTED_TARGET xcb-ewmh)
pkg_check_modules(QGSettings REQUIRED IMPORTED_TARGET gsettings-qt)
pkg_check_modules(GIO REQUIRED IMPORTED_TARGET gio-2.0)

set(XML2CPP_DIR ${PROJECT_SOURCE_DIR}/src/global_util/dbus/xml2cpp)

function(generation_dbus_interface xml class_name class_file)
    execute_process(COMMAND ${DTK_XML2CPP} -c ${class_name} -p ${class_file} ${xml}
        WORKING_DIRECTORY ${XML2CPP_DIR})
endfunction(generation_dbus_interface)

generation_dbus_interface(
    ${CMAKE_SOURCE_DIR}/xml/org.deepin.dde.ImageEffect1.xml
    ImageEffect
    ${XML2CPP_DIR}/imageeffect_interface
)

generation_dbus_interface(
    ${CMAKE_SOURCE_DIR}/xml/org.deepin.dde.ImageBlur1.xml
    ImageBlur
    ${XML2CPP_DIR}/imageblur_interface
)

generation_dbus_interface(
    ${CMAKE_SOURCE_DIR}/xml/com.deepin.wm.xml
    wm
    ${XML2CPP_DIR}/wm_interface
)

generation_dbus_interface(
    ${CMAKE_SOURCE_DIR}/xml/org.deepin.dde.Display1.xml
    Display
    ${XML2CPP_DIR}/display_interface
)

generation_dbus_interface(
    ${CMAKE_SOURCE_DIR}/xml/org.deepin.dde.Appearance1.xml
    Appearance
    ${XML2CPP_DIR}/appearance_interface
)

generation_dbus_interface(
    ${CMAKE_SOURCE_DIR}/xml/org.deepin.dde.Gesture1.xml
    Gesture
    ${XML2CPP_DIR}/gesture_interface
)

generation_dbus_interface(
    ${CMAKE_SOURCE_DIR}/xml/org.deepin.dde.Accounts1.User.xml
    AccountsUser
    ${XML2CPP_DIR}/accountsuser_interface
)

generation_dbus_interface(
    ${CMAKE_SOURCE_DIR}/xml/org.deepin.dde.Accounts1.xml
    Accounts
    ${XML2CPP_DIR}/accounts_interface
)

generation_dbus_interface(
    ${CMAKE_SOURCE_DIR}/xml/org.deepin.dde.SessionManager1.xml
    SessionManager
    ${XML2CPP_DIR}/sessionmanager_interface
)

generation_dbus_interface(
    ${CMAKE_SOURCE_DIR}/xml/org.deepin.dde.XEventMonitor1.xml
    XEventMonitor
    ${XML2CPP_DIR}/xeventmonitor_interface
)

add_library(trashutils
OBJECT
    src/trashutils/trashmonitor.h
    src/trashutils/trashmonitor.cpp
)

target_link_libraries(trashutils
PUBLIC
    Qt5::Core
    PkgConfig::GIO
)

target_compile_definitions(trashutils
PRIVATE
    QT_NO_KEYWORDS
)

include_directories(
    src
    src/boxframe
    src/dbusinterface
    src/dbusinterface/dbusvariant
    src/dbusservices
    src/delegate
    src/global_util
    src/global_util/dbus/qtdbusextended
    src/global_util/dbus/xml2cpp
    src/global_util/dbus/xml2cpp/types
    src/model
    src/skin
    src/view
    src/widgets
    src/worker
    interfaces
)

aux_source_directory(src SRC)
aux_source_directory(src/boxframe BOXFRAME)
aux_source_directory(src/dbusinterface DBUSINTERFACE)
aux_source_directory(src/dbusinterface/dbusvariant DBUSVARIANT)
aux_source_directory(src/dbusservices DBUSSERVICES)
aux_source_directory(src/delegate DELEGATE)
aux_source_directory(src/global_util GLOBAL_UTIL)
aux_source_directory(src/model MODEL)
aux_source_directory(src/skin SKIN)
aux_source_directory(src/view VIEW)
aux_source_directory(src/widgets WIDGETS)
aux_source_directory(src/worker WORKER)
aux_source_directory(src/global_util/dbus/xml2cpp/types DBUS_TYPES)
aux_source_directory(src/global_util/dbus/xml2cpp/ DBUS_INTERFACES)

file(GLOB PLUGININTERFACES "interfaces/*.h")
file(GLOB PLUGINCONTROLLER "controller/*.*")
file(GLOB SRC_PATH
    ${SRC}
    ${BOXFRAME}
    ${DBUSINTERFACE}
    ${DBUSVARIANT}
    ${DBUSSERVICES}
    ${DELEGATE}
    ${GLOBAL_UTIL}
    ${MODEL}
    ${SKIN}
    ${VIEW}
    ${WIDGETS}
    ${WORKER}
    ${PLUGININTERFACES}
    ${PLUGINCONTROLLER}
    ${DBUS_TYPES}
    ${DBUS_INTERFACES}
)

add_executable(${BIN_NAME} ${SRC_PATH} ${INTERFACES} src/skin.qrc src/widgets/images.qrc)

target_include_directories(${BIN_NAME} PUBLIC
    ${DtkWidget_INCLUDE_DIRS}
    ${PROJECT_BINARY_DIR}
)

target_link_libraries(${BIN_NAME} PRIVATE
    PkgConfig::XCB_EWMH
    Dtk::Core
    ${DtkWidget_LIBRARIES} # seems we won't be able to use Dtk::Widget in dtkwidget 5.6.4
    Dtk::Gui
    Qt5::Widgets
    Qt5::Concurrent
    Qt5::X11Extras
    Qt5::DBus
    Qt5::Svg
    Qt5::GuiPrivate
    PkgConfig::QGSettings
    trashutils
)

## qm files
file(GLOB QM_FILES "translations/*.qm")
install(FILES ${QM_FILES} DESTINATION ${CMAKE_INSTALL_DATADIR}/dde-launcher/translations)

# config file
add_subdirectory(misc)

#schemas
install(FILES gschema/com.deepin.dde.launcher.gschema.xml DESTINATION ${CMAKE_INSTALL_DATADIR}/glib-2.0/schemas)
install(CODE "execute_process(COMMAND glib-compile-schemas ${CMAKE_INSTALL_PREFIX}/share/glib-2.0/schemas)")

## icon
install(FILES data/deepin-launcher.svg DESTINATION share/icons/hicolor/scalable/apps)

# bin
install(TARGETS ${BIN_NAME} DESTINATION ${CMAKE_INSTALL_BINDIR})

#dev
file(GLOB INTERFACE_FILES "interfaces/*.h")
install(FILES ${INTERFACE_FILES} DESTINATION include/dde-launcher)

# config
file(GLOB DCONFIG_FILES "configs/*.json")
install(FILES ${DCONFIG_FILES} DESTINATION share/dsg/configs/dde-launcher)
dconfig_meta_files(APPID org.deepin.dde.launcher BASE ./config/*.json)

=== misc/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: CC0-1.0

# dbus
configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/dbus/org.deepin.dde.Launcher1.service.in
    ${CMAKE_CURRENT_BINARY_DIR}/dbus/org.deepin.dde.Launcher1.service
    @ONLY)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/dbus/org.deepin.dde.Launcher1.service
    DESTINATION ${CMAKE_INSTALL_DATADIR}/dbus-1/services)

# systemd
configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/systemd/user/org.deepin.dde.Launcher1.service.in
    ${CMAKE_CURRENT_BINARY_DIR}/systemd/user/org.deepin.dde.Launcher1.service
    @ONLY
)

set(SYSTEMD_USER_UNIT_DIR ${CMAKE_INSTALL_PREFIX}/lib/systemd/user/)

file(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/dde-session-initialized.target.wants)

file(CREATE_LINK
     ${SYSTEMD_USER_UNIT_DIR}/org.deepin.dde.Launcher1.service
     ${CMAKE_CURRENT_BINARY_DIR}/dde-session-initialized.target.wants/org.deepin.dde.Launcher1.service
     SYMBOLIC)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/dde-session-initialized.target.wants/org.deepin.dde.Launcher1.service
        DESTINATION ${SYSTEMD_USER_UNIT_DIR}/dde-session-initialized.target.wants)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/systemd/user/org.deepin.dde.Launcher1.service
    DESTINATION ${SYSTEMD_USER_UNIT_DIR})

=== plugins/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 - 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: CC0-1.0

add_subdirectory("appsearch")

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# SPDX-FileCopyrightText: 2022 - 2023 UnionTech Software Technology Co., Ltd.
+#
+# SPDX-License-Identifier: CC0-1.0
+
 cmake_minimum_required(VERSION 3.7)
 
 set(BIN_NAME dde_launcher_unit_test)

=== plugins/appsearch/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 - 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: CC0-1.0

set(PLUGIN_NAME "appsearch")

project(${PLUGIN_NAME})

# Sources files
file(GLOB SRCS "../../interfaces/*.*")

find_package(Qt5 ${QT_MINIMUM_VERSION} REQUIRED
    COMPONENTS DBus Concurrent
)

add_definitions("${QT_DEFINITIONS} -DQT_PLUGIN")
add_library(${PLUGIN_NAME} SHARED ${SRCS})
target_sources(${PLUGIN_NAME}
PRIVATE
    appsearchplugin.cpp
    appsearchplugin.h
)
set_target_properties(${PLUGIN_NAME} PROPERTIES LIBRARY_OUTPUT_DIRECTORY ../)

target_include_directories(${PLUGIN_NAME} PUBLIC
    ../../interfaces/
)

target_link_libraries(${PLUGIN_NAME} PRIVATE
  Qt5::DBus
  Qt5::Concurrent
)

=== debian/changelog ===
dde-launcher (6.0.19) unstable; urgency=medium

  * fix: declare conflict with dde-launchpad
  * fix: logout timeout

 -- Wang Zichong <wangzichong@deepin.org>  Fri, 22 Dec 2023 14:34:00 +0800

dde-launcher (6.0.18) unstable; urgency=medium

  * chore: initialize member value explicitly
  * fix: uninstall failed
  * refact: clean code on appsmanager
  * refact: optimise code on appsmanager
  * refact: optimize code on SettingsMaptoItemInfoList
  * fix: launcher crashed during refershItemInfoList
  * refact: DBus activation file and add systemd service
  * chore: not test mouse point if launcher is hidden
  * fix: compatible with New AM

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 06 Nov 2023 17:19:58 +0800

dde-launcher (6.0.17) unstable; urgency=medium

  [ Deepin Packages Builder ]
  * fix: switch between fullscreen & window(Issue: 5519)
  * fix: application with no icon(Issue: 5513)
  * chore: connect autostartchanged signal
  * chore: modify interface name of PropertiesChanged signal
  * chore: adjust removeDuplicateData
  * fix: uninstall apps failed
  * fix: duplicated item show in launcher(Issue: 4374)

 -- Deepin Packages Builder <packages@deepin.org>  Fri, 15 Sep 2023 11:38:39 +0800

dde-launcher (6.0.16) unstable; urgency=medium

  * fix: onAppearanceChanged use mistake type
  * fix: move and sort app failed(Issue: https://github.com/linuxdeepin/developer-center/issues/5085)
  * fix: crashed when starting
  * chore: correct a typo in appsmanager.cpp
    Thanks to Felix Yan
  * chore: adapt to AM
  * refact: the section about AM Reborn

 -- Deepin Packages Builder <packages@deepin.org>  Fri, 08 Sep 2023 11:31:50 +0800

dde-launcher (6.0.15) unstable; urgency=medium

  * Fix black box while dragging icon from fullscreen launcher

 -- Wang Zichong <wangzichong@deepin.org>  Wed, 16 Aug 2023 16:12:00 +0800

dde-launcher (6.0.14) unstable; urgency=medium

  * Avoid display multiple entries for desktop files shares the same freedesktop id
  * Fix incorrect trash icon status when there are trashed files in partitions other than home
  * Avoid hardcode dde-launcher binary path
  * Use qdbusxml2cpp-fix path provided by DtkTools CMake module

 -- Wang Zichong <wangzichong@deepin.org>  Wed, 05 Jul 2023 13:51:00 +0800

dde-launcher (6.0.13) unstable; urgency=medium

  * fix icons will be added repeatedly

 -- Wang Zichong <wangzichong@deepin.org>  Fri, 12 May 2023 17:23:00 +0800

dde-launcher (6.0.12) unstable; urgency=medium

  * Fix new icons might not displayed in fullscreen mode

 -- Wang Zichong <wangzichong@deepin.org>  Thu, 11 May 2023 16:13:00 +0800

dde-launcher (6.0.11) unstable; urgency=medium

  * Avoid setting invalid font weight to QFont
  * Avoid moving window to invalid place when certain dbus is missing
  * Raise up pixmap cache limit to 64800 KiB
  * Fix duplicate icons may be shown after update launcher

 -- Wang Zichong <wangzichong@deepin.org>  Mon, 08 May 2023 13:54:00 +0800

dde-launcher (6.0.10) unstable; urgency=medium

  * Update documentation
  * Fix application blurry category icon issue

 -- Wang Zichong <wangzichong@deepin.org>  Sun, 23 Apr 2023 15:43:00 +0800

dde-launcher (6.0.9) unstable; urgency=medium

  * Make use of Qt CMake module to find package
  * Correct category text size and color in windowed frame
  * App group should show max to 4 icons in fullscreen frame
  * Fix window mode load slow caused by icon reload
  * avoid hardcode size to screen rect
  * Fix missing blur in the app drawer of fullscreen frame
  * Fix icons inside app drawer not aligned up
  * Fix mode switch button icon size caused blurry icon
  * Show one favorate row when favorate apps are less than 5

 -- Wang Zichong <wangzichong@deepin.org>  Wed, 29 Mar 2023 13:59:00 +0800

dde-launcher (6.0.8) unstable; urgency=medium

  [ TagBuilder ]
  * fix: 修复启动器全屏模式下无法使用键盘翻页的问题(Bug: 180633)

 -- lvpeilong <lvpeilong@uniontech.com>  Wed, 01 Feb 2023 10:39:10 +0800

dde-launcher (6.0.7) unstable; urgency=medium

  [ TagBuilder ]
  * fix: 修复启动器壁纸与桌面壁纸不同步的问题(Bug: 181459)(Influence: 启动器-全屏壁纸/文件夹背景样式跟桌面壁纸保持一致)
  * fix: 修复全屏模式下所有应用列表也根据使用频率排序的问题(Bug: 181449)(Influence: 启动器-全屏模式下所有应用列表只支持自由排序)

 -- lvpeilong <lvpeilong@uniontech.com>  Fri, 06 Jan 2023 15:53:51 +0800

dde-launcher (6.0.6.1) unstable; urgency=medium

  [ TagBuilder ]
  * fix: 修复动画异常问题(Bug: 150445)(Influence: 拖拽收藏列表-所有应用列表展示正常)
  * fix: 修复分页控件未适配系统缩放率问题(Task: 229945)(Influence: 启动器-全屏-分页控件-不同缩放率下正常显示)
  * fix: 修复启动器卡住问题(Bug: 179289)(Influence: 启动器-全屏模式下-往回收站附近拖拽应用-功能正常)
  * fix: 修复拖拽应用与文件夹交换位置的过程中，文件夹消失的问题(Bug: 179397)(Influence: 启动器-全屏-拖拽应用与文件夹进行位置交换，文件夹不消失)
  * fix: 修复文件夹展开窗口翻页控件消失问题(Task: 231337)(Influence: 启动器-全屏-当所有应用都放入一个文件夹时，翻页控件正常显示)
  * fix: 修复收藏列表默认为空的问题(Bug: 179235)(Influence: 启动器-当本地安装了默认的应用（控制中心、文件管理器、安全中心、邮箱）时，收藏列表默认不为空)
  * fix: 修复收藏列表为空时无法拖拽进入问题(Task: 219059)(Influence: 启动器-收藏列表为空时，支持拖拽应用到收藏列表中)
  * fix: 修复启动器在高缩放率下图标显示异常问题(Task: 231729)(Influence: 小窗口模式切换按钮/设置/电源按钮在多倍缩放率下显示正常)
  * fix: 修复所有应用列表没有按照使用频率排序的问题(Bug: 150679)(Influence: 启动器-小窗口所有应用列表、全屏所有应用列表、当前文件夹展开窗口按照使用频率进行排序)

 -- zhaoyingzhen <zhaoyingzhen@uniontech.com>  Thu, 29 Dec 2022 18:37:42 +0800

dde-launcher (6.0.5.2) unstable; urgency=medium

  [ TagBuilder ]
  * fix: 修复文件夹内应用无法移除的问题(Bug: 134879, 150387)(Influence: 1. 启动器-全屏-从文件夹中移除应用功能正常)
  * fix: 修复启动器全屏列表应用名称未翻译问题(Bug: 165903)(Influence: 多语言环境下-启动器两种窗口模式下应用列表正常显示)
  * fix: 修复切换到全屏后，列表为空的问题(Task: 208535)(Influence: 启动器-添加到收藏，并从收藏列表中移除，然后切换到全屏，应用列表显示内容为空)
  * fix: 修复卸载应用后，全屏列表为空的问题(Bug: 165773)(Task: 203779)(Influence: 启动器-卸载应用-应用列表显示正常)
  * fix: 更新启动接口配置(Task: 211667)(Influence: 点击任务栏-启动器可正常启动)
  * feat: 卸载接口适配(Task: 207481)(Influence: 适配卸载接口-支持卸载玲珑应用，debian包格式应用)
  * fix: 修复卸载应用后全屏列表为空的问题(Task: 208535)(Influence: 1. 启动器两种窗口模式下-列表正常显示)
  * fix: 修复卸载文件夹内所有的应用后，显示空文件夹的问题(Bug: 165807)(Influence: 启动器-全屏-卸载应用-列表显示正常)
  * fix: 修复新装应用图标为空的问题(Task: 203751)(Influence: 启动器-安装应用-应用列表显示正常.)
  * fix: 修复文件夹不显示页签问题和页签显示问题(Bug: 149229, 149051)(Influence: 1. 文件夹页签正常显示)


=== debian/control ===
Source: dde-launcher
Section: x11
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends:
 debhelper-compat (= 11),
 pkg-config,
 cmake,
 qtbase5-dev,
 qtbase5-private-dev,
 qttools5-dev-tools,
 libqt5svg5-dev,
 libqt5x11extras5-dev,
 libxcb-ewmh-dev,
 libdtkwidget-dev (>=5.4.19),
 libdtkcore5-bin,
 libdtkcore-dev (>=5.4.14),
 libdtkgui-dev (>=5.4.13),
 libgsettings-qt-dev,
 libgtest-dev,
 libgmock-dev,
 libglib2.0-dev
Standards-Version: 3.9.8
Homepage: http://www.deepin.org/

Package: dde-launcher
Architecture: any
Depends:
 qtxdg-dev-tools,
 deepin-desktop-schemas (>=5.9.14),
 dde-daemon (>=5.13.12),
 startdde (>=5.8.9),
 lastore-daemon (>=5.2.9),
 libxcb-util1,
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 dde-workspace (<< 2.90.5),
 dde-launchpad,
Replaces: dde-launchpad
Description:deepin desktop-environment - dde-launcher module
 Deepin desktop environment 2015 - dde-launcher module.
 Display all installation programs, and provide access to open, uninstall, boot and start, which is convenient for users to operate quickly

Package: dde-launcher-dev
Architecture: any
Depends:
 dde-launcher( =${binary:Version}),
 ${shlibs:Depends}, 
 ${misc:Depends}
Description: deepin desktop-environment - launcher module development files
 Launcher module development files of deepin desktop-environment

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ --parallel
+		dh $@ --parallel
 
 include /usr/share/dpkg/default.mk
 SYSTYPE=Desktop
@@ -15,6 +15,7 @@
 
 ifeq ($(DEB_BUILD_ARCH), sw_64)
 override_dh_auto_configure:
-	dh_auto_configure -- -DENABLE_MIEEE=YES -DDISABLE_DRAG_ANIMATION=YES
+		dh_auto_configure -- -DENABLE_MIEEE=YES -DDISABLE_DRAG_ANIMATION=YES
 endif
 
+
